Create Clip
curl --request POST \
--url https://api.uplift.ai/v1/games/{game_id}/clips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>",
"period": 123,
"start_time_s": 123
}
'import requests
url = "https://api.uplift.ai/v1/games/{game_id}/clips"
payload = {
"file_name": "<string>",
"period": 123,
"start_time_s": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_name: '<string>', period: 123, start_time_s: 123})
};
fetch('https://api.uplift.ai/v1/games/{game_id}/clips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uplift.ai/v1/games/{game_id}/clips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => '<string>',
'period' => 123,
'start_time_s' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uplift.ai/v1/games/{game_id}/clips"
payload := strings.NewReader("{\n \"file_name\": \"<string>\",\n \"period\": 123,\n \"start_time_s\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.uplift.ai/v1/games/{game_id}/clips")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file_name\": \"<string>\",\n \"period\": 123,\n \"start_time_s\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uplift.ai/v1/games/{game_id}/clips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_name\": \"<string>\",\n \"period\": 123,\n \"start_time_s\": 123\n}"
response = http.request(request)
puts response.read_body{
"clip_id": "0d4e2b7a-1c3f-4e5a-9b8c-7d6e5f4a3b2c",
"upload_url": "https://example-bucket.s3.amazonaws.com/",
"upload_fields": {
"key": "...",
"policy": "...",
"x-amz-signature": "..."
},
"upload_expires_at": "2026-10-18T21:30:00Z",
"status": "awaiting_upload"
}{
"error": "BadRequest",
"message": "The request parameters are invalid. Please review the request and try again."
}{
"error": "Unauthorized",
"message": "Bearer token is missing or invalid."
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"error": "NotFound",
"message": "The specified game_id was not found."
}{
"error": "TooManyRequests",
"message": "The rate limit has been exceeded. Please wait and try again later."
}{
"error": "InternalServerError",
"message": "An unexpected error occurred on the server. Please try again later."
}Games
Create Clip
Reserves an upload for a game video and returns a pre-signed Amazon S3 POST upload target, the same way Create Capture works. A game can be one full-match video or several clips. Processing starts once the upload completes.
POST
/
games
/
{game_id}
/
clips
Create Clip
curl --request POST \
--url https://api.uplift.ai/v1/games/{game_id}/clips \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>",
"period": 123,
"start_time_s": 123
}
'import requests
url = "https://api.uplift.ai/v1/games/{game_id}/clips"
payload = {
"file_name": "<string>",
"period": 123,
"start_time_s": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_name: '<string>', period: 123, start_time_s: 123})
};
fetch('https://api.uplift.ai/v1/games/{game_id}/clips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uplift.ai/v1/games/{game_id}/clips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => '<string>',
'period' => 123,
'start_time_s' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.uplift.ai/v1/games/{game_id}/clips"
payload := strings.NewReader("{\n \"file_name\": \"<string>\",\n \"period\": 123,\n \"start_time_s\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.uplift.ai/v1/games/{game_id}/clips")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file_name\": \"<string>\",\n \"period\": 123,\n \"start_time_s\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uplift.ai/v1/games/{game_id}/clips")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_name\": \"<string>\",\n \"period\": 123,\n \"start_time_s\": 123\n}"
response = http.request(request)
puts response.read_body{
"clip_id": "0d4e2b7a-1c3f-4e5a-9b8c-7d6e5f4a3b2c",
"upload_url": "https://example-bucket.s3.amazonaws.com/",
"upload_fields": {
"key": "...",
"policy": "...",
"x-amz-signature": "..."
},
"upload_expires_at": "2026-10-18T21:30:00Z",
"status": "awaiting_upload"
}{
"error": "BadRequest",
"message": "The request parameters are invalid. Please review the request and try again."
}{
"error": "Unauthorized",
"message": "Bearer token is missing or invalid."
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"error": "NotFound",
"message": "The specified game_id was not found."
}{
"error": "TooManyRequests",
"message": "The rate limit has been exceeded. Please wait and try again later."
}{
"error": "InternalServerError",
"message": "An unexpected error occurred on the server. Please try again later."
}The Game Data API is in preview. Endpoints, fields and limits may change before release, and it is not yet available to call.
Authorizations
Path Parameters
Body
application/json